#if !defined(AFX_DLGDISPLAYOPT_H__E2B2353C_19C5_4982_813F_5694F5BC50D9__INCLUDED_)
#define AFX_DLGDISPLAYOPT_H__E2B2353C_19C5_4982_813F_5694F5BC50D9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgDisplayOpt.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDlgDisplayOpt dialog

class CDlgDisplayOpt : public CDialog
{
// Construction
public:
	CDlgDisplayOpt(CWnd* pParent = NULL);   // standard constructor

	void		vSetBkgColor( COLORREF bkgColor ) { m_BkgColor = bkgColor; }
	void		vSetShowFriendlyNames( BOOL boShow ) { m_boShowFriendlyNames = boShow; }
	void		vSetShowIconItems( BOOL boShow ) { m_boShowIconItems = boShow; }
	void		vSetShowRealMeshes( BOOL boShow ) { m_boShowRealMeshes = boShow; }
	void		vSetShowAssociatedMoveable( BOOL boShow ) { m_boShowAssociatedMoveable = boShow; }

	COLORREF	GetBkgColor() const { return m_BkgColor; }
	BOOL		boGetShowFriendlyNames() const { return m_boShowFriendlyNames; }
	BOOL		boGetShowIconItems() const { return m_boShowIconItems; }
	BOOL		boGetShowRealMeshes() const { return m_boShowRealMeshes; }
	BOOL		boGetShowAssociatedMoveable() const { return m_boShowAssociatedMoveable; }

// Dialog Data
	//{{AFX_DATA(CDlgDisplayOpt)
	enum { IDD = IDD_OPTION_DISPLAY };
	BOOL	m_boShowFriendlyNames;
	BOOL	m_boShowIconItems;
	BOOL	m_boShowRealMeshes;
	BOOL	m_boShowAssociatedMoveable;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgDisplayOpt)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDlgDisplayOpt)
	afx_msg void OnChangebkgcolor();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	COLORREF		m_BkgColor;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGDISPLAYOPT_H__E2B2353C_19C5_4982_813F_5694F5BC50D9__INCLUDED_)
