#if !defined(AFX_EDITMESH_H__D75C4CE1_F1E2_11D3_AA63_00105A49000B__INCLUDED_)
#define AFX_EDITMESH_H__D75C4CE1_F1E2_11D3_AA63_00105A49000B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EditMesh.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CEditMesh form view

#ifndef __AFXEXT_H__
#include <afxext.h>
#endif


class CToolbox2Mesh;


class CEditMesh : public CEditGfxBase
{
protected:

	CEditMesh();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CEditMesh)

// Form Data
public:
	//{{AFX_DATA(CEditMesh)
	enum { IDD = IDD_EDIT_MESH };
	//}}AFX_DATA

// Operations
public:

    virtual void    vOnInitEdit();
	virtual void	vCheckKeys( float fFrameRate );

    void    vSetShowCollSphere(bool boCollSphereShow)	{ if( m_OpenGLWndCreated ) m_OpenGLWnd->vSetShowCollSphere(boCollSphereShow); }
    void    vSetShowVertices(bool boShowVertices)		{ if( m_OpenGLWndCreated ) m_OpenGLWnd->vSetShowVertices(boShowVertices); }
    void    vSetShowStaticBB1(bool boOk)				{ if( m_OpenGLWndCreated ) m_OpenGLWnd->vSetShowStaticBB1(boOk); }
    void    vSetStaticBB1IsSel(bool boOk)				{ if( m_OpenGLWndCreated ) m_OpenGLWnd->vSetStaticBB1IsSel(boOk); }
    void    vSetShowStaticBB2(bool boOk)				{ if( m_OpenGLWndCreated ) m_OpenGLWnd->vSetShowStaticBB2(boOk); }
    void    vSetStaticBB2IsSel(bool boOk)				{ if( m_OpenGLWndCreated ) m_OpenGLWnd->vSetStaticBB2IsSel(boOk); }

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEditMesh)
	//}}AFX_VIRTUAL

// Implementation
protected:

	virtual CToolboxBase*	lpGetBaseToolbox();
	CToolbox2Mesh*			lpGetToolbox();

	// Generated message map functions
	//{{AFX_MSG(CEditMesh)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EDITMESH_H__D75C4CE1_F1E2_11D3_AA63_00105A49000B__INCLUDED_)
