// EditMoveable.cpp : implementation file
//

#include "stdafx.h"

#include "Resource.h"
#include "ChildFrm.h"
#include "HandleBase.h"
#include "HandleMoveable.h"
#include "EditBase.h"
#include "EditMoveable.h"

#include "ToolboxBase.h"
#include "ToolboxItfBase.h"
#include "ToolboxSheet.h"
#include "TlboxMoveableItf.h"
#include "Toolbox2Moveable.h"


#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


/////////////////////////////////////////////////////////////////////////////
// CEditMoveable

IMPLEMENT_DYNCREATE(CEditMoveable, CEditGfxBase)

CEditMoveable::CEditMoveable() : CEditGfxBase(CEditMoveable::IDD)
{
	//{{AFX_DATA_INIT(CEditMoveable)
	//}}AFX_DATA_INIT
}


BEGIN_MESSAGE_MAP(CEditMoveable, CEditGfxBase)
	//{{AFX_MSG_MAP(CEditMoveable)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CEditMoveable message handlers

void CEditMoveable::vOnInitEdit()
{
	GET_EDITHANDLER(CHandleMoveable);

	DWORD			dwBodyMvbId = lpHandler->GetMoveable()->dwEdtGetBodyMvbId();
	CTrMvb*			lpMvbToDisplay = ( dwBodyMvbId == -1 ) ? NULL : lpHandler->lpGetTRFile()->lpGetMoveable( dwBodyMvbId );

	DWORD			dwShowWithId = lpHandler->GetMoveable()->dwEdtGetAssocMvbId();
	CTrMvb*			lpMvbToShowWith = ( dwShowWithId == -1 ) ? NULL : lpHandler->lpGetTRFile()->lpGetMoveable( dwShowWithId );
	CTrMvb*			lpMvbToShowWithDisplay = NULL;

	if( lpMvbToShowWith )
		{
		if( lpMvbToShowWith->dwEdtGetBodyMvbId() != -1 ) lpMvbToShowWithDisplay = lpHandler->lpGetTRFile()->lpGetMoveable( lpMvbToShowWith->dwEdtGetBodyMvbId() );
		}

	sGfxDisplay	LstGfx[ 2 ];

	LstGfx[ 0 ] = sGfxDisplay( true,  TrObj_Type_Moveable, lpHandler->GetMoveable(), lpMvbToDisplay, true, lpHandler->GetMoveable()->boEdtShowRealMeshes() );
	LstGfx[ 1 ] = sGfxDisplay( false, TrObj_Type_Moveable, lpMvbToShowWith, lpMvbToShowWithDisplay, lpHandler->GetMoveable()->boEdtShowAssocMvb(), lpHandler->GetMoveable()->boEdtShowAssocMvb() );

    m_OpenGLWnd->vSetGfxAddr( LstGfx, lpMvbToShowWith ? 2 : 1, false, -1 );

    lpGetToolbox()->vSetHandlers(lpHandler,this);

    InvalidateRect(NULL);
}


CToolboxBase*	CEditMoveable::lpGetBaseToolbox()
{
	return GET_TOOLBOX(CToolbox2Moveable);
}


CToolbox2Moveable*	CEditMoveable::lpGetToolbox()
{
	return GET_TOOLBOX(CToolbox2Moveable);
}
