#if !defined(AFX_EDITSPRITE_H__4D27A179_F953_4A61_80EC_6E5208332689__INCLUDED_)
#define AFX_EDITSPRITE_H__4D27A179_F953_4A61_80EC_6E5208332689__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EditSprite.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CEditSprite form view

#ifndef __AFXEXT_H__
#include <afxext.h>
#endif


class CToolbox2Sprite;


class CEditSprite : public CEditGfxBase
{
protected:

	CEditSprite();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CEditSprite)

// Form Data
public:
	//{{AFX_DATA(CEditSprite)
	enum { IDD = IDD_EDIT_SPRITE };
	//}}AFX_DATA

// Operations
public:

    virtual void    vOnInitEdit();

    void    vSetSprSeqOverallSpeed( float fSpeed )		{ if( m_OpenGLWndCreated ) m_OpenGLWnd->vSetSprSeqOverallSpeed( fSpeed ); }
    void    vSetSprSeqShowBorder( bool boShow )			{ if( m_OpenGLWndCreated ) m_OpenGLWnd->vSetSprSeqShowBorder( boShow ); }
    void    vSetSprSeqTypeAnimated( bool boAnimated )	{ if( m_OpenGLWndCreated ) m_OpenGLWnd->vSetSprSeqTypeAnimated( boAnimated ); }
    void    vSetSprSeqListWidth( float fListWidth )		{ if( m_OpenGLWndCreated ) m_OpenGLWnd->vSetSprSeqListWidth( fListWidth ); }

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEditSprite)
	//}}AFX_VIRTUAL

// Implementation
protected:

	virtual CToolboxBase*	lpGetBaseToolbox();
	CToolbox2Sprite*		lpGetToolbox();

	// Generated message map functions
	//{{AFX_MSG(CEditSprite)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EDITSPRITE_H__4D27A179_F953_4A61_80EC_6E5208332689__INCLUDED_)
