#pragma once


class CChildFrame;
class CFileTree;
class CEditBase;


//
//
//
class CHandleBase
{
public:

    CHandleBase(CFileTree* lpTree,CChildFrame* lpChildFrm,enumEditPaneType eEditPane,void* lpData = NULL);

    void*           lpGetData() { return m_lpData; }
    virtual DWORD   dwGetDataType() = 0;
    CTRFile*        lpGetTRFile() { return m_lpTRFile; }
    virtual void    vSetChanged();
    virtual void    vCopyTo(CHandleBase* lpDst,bool boCopyInSameLevel) { }
    virtual void    vExpandTree(bool boAlreadyExpanded) { }

    virtual CMenu*  lpGetPopupupMenu(HTREEITEM hSelectedItem) { return NULL; }
    virtual void    vReleasePopupupMenu() { }
    virtual void    vHandleMenu(WORD wMenuId) { }

    void    vShowEditDialog(bool boCreatePane,TCHAR* lpszNodeName);
    void    vExpandTree_(HTREEITEM hItem);
    void    vCollapseTree();
    bool    boIsExpanded()  { return m_boExpanded; }

    TCHAR*          lpszGetTitle() { return m_szNodeName; }

protected:

    void		vCreatePane();
	CEditBase*	lpGetEditView();
	
    virtual void    vEditSetInfo(TCHAR* lpszNodeName) { }

    CFileTree*			m_lpTree;
    CTRFile*			m_lpTRFile;
    TCHAR				m_szNodeName[256+1];
    CChildFrame*		m_lpChildFrm;
    void*				m_lpData;
    HTREEITEM			m_hParentItem;
    bool				m_boExpanded;
	enumEditPaneType	m_eEditPane;
};