#if !defined(AFX_IMPORT3DS_H__F7BB4DA0_12F2_11D4_AA74_00105A49000B__INCLUDED_)
#define AFX_IMPORT3DS_H__F7BB4DA0_12F2_11D4_AA74_00105A49000B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Import3DS.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CImport3DS dialog

class CImport3DS : public CDialog
{
// Construction
public:
	CImport3DS(CAnimMgr* lpAnimMgr = NULL, DWORD dwSelectTrack = 0, CWnd* pParent = NULL);   // standard constructor

    DWORD   dwGetSelectedAnim() { return m_dwSelectTrack; }

    BOOL        boImportMeshes()				{ return m_boImportMeshes; }
    BOOL        boDontOverwriteDummyMeshes()	{ return m_boDontOverwriteDummyMeshes; }
    BOOL        boReplaceAnimation()			{ return m_boImportAnim  &&  m_boReplaceAnim; }
    BOOL        boAddAnimation()				{ return m_boImportAnim  &&  m_boAddAnim; }
    BOOL        boDeleteAnimations()			{ return m_boImportAnim  &&  m_boDeleteAnims; }

// Dialog Data
	//{{AFX_DATA(CImport3DS)
	enum { IDD = IDD_IMPORT3DS };
	CComboBox	m_ListAnims;
	BOOL	m_boImportAnim;
	BOOL	m_boImportMeshes;
	BOOL	m_boDontOverwriteDummyMeshes;
	BOOL	m_boReplaceAnim;
	BOOL	m_boDeleteAnims;
	BOOL	m_boAddAnim;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CImport3DS)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CImport3DS)
	afx_msg void OnImportAnim();
	afx_msg void OnImportMeshes();
	virtual BOOL OnInitDialog();
    afx_msg void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

    void vEnableCtrl();

    CAnimMgr*           m_lpAnimMgr;
    DWORD               m_dwSelectTrack;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_IMPORTDATA_H__F7BB4DA0_12F2_11D4_AA74_00105A49000B__INCLUDED_)
