// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINFRM_H__903546DB_E15E_11D3_AA54_00105A49000B__INCLUDED_)
#define AFX_MAINFRM_H__903546DB_E15E_11D3_AA54_00105A49000B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CMainFrame : public CMDIFrameWnd
{
	DECLARE_DYNAMIC(CMainFrame)
public:
	CMainFrame();

// Attributes
public:

// Operations
public:

    void        vSetToolboxType(bool boShow = true, bool boSetVisibility = true);
    bool        boIsManualCamera()      { return m_boManualCamera; }
    bool        boShowAxis()            { return m_boShowAxis; }
    COLORREF    colGetBkgColor()        { return m_BkgColor; }
    void        vSetCameraMode(bool boManual);
    void        vSetShowAxis(bool boShow);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members

	CMDIChildWnd*	GetNextMDIChildWnd();
	int				GetCountCMDIChildWnds();

	CWnd			m_wndMDIClient;
	CWnd*			m_pWndCurrentChild;

	CStatusBar      m_wndStatusBar;
	CToolBar        m_wndToolBar;

	bool			m_boToolboxVisible;
    bool            m_boManualCamera;
    bool            m_boShowAxis;
    COLORREF        m_BkgColor;

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnUpdateViewObjecttoolbox(CCmdUI* pCmdUI);
	afx_msg void OnViewObjecttoolbox();
	afx_msg void OnGenerateNumAnims();
	afx_msg void OnMiscDebug();
	afx_msg void OnUpdateRenderingManualcamera(CCmdUI* pCmdUI);
	afx_msg void OnRenderingManualcamera();
	afx_msg void OnUpdateRenderingShowAxis(CCmdUI* pCmdUI);
	afx_msg void OnRenderingShowaxis();
	afx_msg void OnRenderingChoosebkgcolor();
	afx_msg void OnOptionsOriginallevelpaths();
	afx_msg void OnOptionsDisplay();
	afx_msg void OnOptionsSound();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__903546DB_E15E_11D3_AA54_00105A49000B__INCLUDED_)
