#if !defined(AFX_TLBOXMOVEABLECMD_H__D01BE965_C949_4851_9868_C5C5B5269D52__INCLUDED_)
#define AFX_TLBOXMOVEABLECMD_H__D01BE965_C949_4851_9868_C5C5B5269D52__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TlboxMoveableCmd.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTlboxMoveableCmd dialog

class CTRAnimTrack;


class CTlboxMoveableCmd : public CToolboxItfBase, public ITlboxMoveableItfAnimCommands
{
	DECLARE_DYNCREATE(CTlboxMoveableCmd)

// Construction
public:
	CTlboxMoveableCmd() { }
	CTlboxMoveableCmd( CToolboxBase* lpParent );
	~CTlboxMoveableCmd();

// Dialog Data
	//{{AFX_DATA(CTlboxMoveableCmd)
	enum { IDD = IDD_TOOLBOX2_MOVEABLE_CMDPANE };
	CListCtrl	m_AnimCommands;
	//}}AFX_DATA
	long	m_lAnmCmdP[4];

public:

	// CToolboxItfBase
	virtual void	vInit( bool boNewMoveable );

// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CTlboxMoveableCmd)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CTlboxMoveableCmd)
	virtual BOOL OnInitDialog();
	afx_msg void OnAnmcmdSet();
	afx_msg void OnClickAnimcommands(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnAnmCmdNew();
	afx_msg void OnAnmCmdDel();
	afx_msg void OnAnmCmdUp();
	afx_msg void OnAnmCmdDown();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:

    void    vShowAnimCommands( CTRAnimTrack* lpTrack );
    void    vMoveItem( CListCtrl& ListCtrl, int iNumSubItems, int iOffset );
    void    vFillAnimCmdsParams( CTRAnimTrack* lpTrack, int iNumAnmCmde );

    HBITMAP             m_hBitmapNew;
    HBITMAP             m_hBitmapDel;
    HBITMAP             m_hBitmapUp;
    HBITMAP             m_hBitmapDown;
    HBITMAP             m_hBitmapValidate;

	DWORD				m_dwCurTrack;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TLBOXMOVEABLECMD_H__D01BE965_C949_4851_9868_C5C5B5269D52__INCLUDED_)
