#if !defined(AFX_TLBOXMOVEABLESTCH_H__9E528589_EB5B_4BBA_816B_7A67C3757DBF__INCLUDED_)
#define AFX_TLBOXMOVEABLESTCH_H__9E528589_EB5B_4BBA_816B_7A67C3757DBF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TlboxMoveableStCh.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTlboxMoveableStCh dialog


class CTRAnimTrack;


class CTlboxMoveableStCh : public CToolboxItfBase, public ITlboxMoveableItfStateChanges
{
	DECLARE_DYNCREATE(CTlboxMoveableStCh)

// Construction
public:
	CTlboxMoveableStCh() { }
	CTlboxMoveableStCh( CToolboxBase* lpParent );
	~CTlboxMoveableStCh();

// Dialog Data
	//{{AFX_DATA(CTlboxMoveableStCh)
	enum { IDD = IDD_TOOLBOX2_MOVEABLE_STCHPANE };
	CListCtrl	m_AnimDispatch;
	//}}AFX_DATA
	long		m_lAnmDispP[5];
	CImageList	m_ImageList;

public:

	// CToolboxItfBase
	virtual void	vInit( bool boNewMoveable );

// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CTlboxMoveableStCh)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CTlboxMoveableStCh)
	virtual BOOL OnInitDialog();
	afx_msg void OnAnmdispSet();
	afx_msg void OnClickAnimdispatch(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnAnmDispDel();
	afx_msg void OnAnmDispNew();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:

	void	vFillAnimDispParams( int iIndex );
    void    vShowAnimDispatch( CTRAnimTrack* lpTrack, DWORD dwStateId_, DWORD dwFrameLo_, DWORD dwFrameHi_, DWORD dwNextAnm_, DWORD dwNextFrm_, DWORD& dwItem );

    HBITMAP             m_hBitmapNew;
    HBITMAP             m_hBitmapDel;
    HBITMAP             m_hBitmapValidate;

	DWORD				m_dwCurTrack;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TLBOXMOVEABLESTCH_H__9E528589_EB5B_4BBA_816B_7A67C3757DBF__INCLUDED_)
