// Toolbox2Mesh.cpp : implementation file
//

#include "stdafx.h"

#include "trviewer.h"
#include "ChildFrm.h"
#include "HandleBase.h"
#include "HandleMesh.h"
#include "EditBase.h"
#include "EditMesh.h"

#include "ToolboxBase.h"
#include "ToolboxItfBase.h"
#include "ToolboxSheet.h"
#include "TlboxMeshItf.h"
#include "Toolbox2Mesh.h"

#include "TlboxMeshMain.h"
#include "TlboxMeshHelp.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CToolbox2Mesh

IMPLEMENT_DYNCREATE(CToolbox2Mesh, CToolboxBase)

CToolbox2Mesh::CToolbox2Mesh()
	: CToolboxBase(CToolbox2Mesh::IDD)
{
	//{{AFX_DATA_INIT(CToolbox2Mesh)
	//}}AFX_DATA_INIT
	m_lpMainPage = NULL;
	m_lpHelpPage = NULL;
}

CToolbox2Mesh::~CToolbox2Mesh()
{
}

void CToolbox2Mesh::DoDataExchange(CDataExchange* pDX)
{
	CToolboxBase::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CToolbox2Mesh)
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CToolbox2Mesh, CToolboxBase)
	//{{AFX_MSG_MAP(CToolbox2Mesh)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CToolbox2Mesh diagnostics

#ifdef _DEBUG
void CToolbox2Mesh::AssertValid() const
{
	CToolboxBase::AssertValid();
}

void CToolbox2Mesh::Dump(CDumpContext& dc) const
{
	CToolboxBase::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CToolbox2Mesh message handlers

void	CToolbox2Mesh::vOnInitToolbox()
{
	m_lpMainPage = new CTlboxMeshMain( this );
	m_lpHelpPage = new CTlboxMeshHelp( this );

	CPropertyPage*	lpLstPages[] =
		{
		m_lpMainPage,
		m_lpHelpPage
		};

	m_lpSheet->vAddPages( sizeof( lpLstPages ) / sizeof( CPropertyPage* ), lpLstPages );
}


//
//
// ITlboxMeshItfMain
//
//

BOOL    CToolbox2Mesh::boStaticBB1IsSel()
{
	return static_cast< CTlboxMeshMain* >( m_lpMainPage )->boStaticBB1IsSel();
}


BOOL    CToolbox2Mesh::boStaticBB2IsSel()
{
	return static_cast< CTlboxMeshMain* >( m_lpMainPage )->boStaticBB1IsSel();
}

