#if !defined(AFX_TOOLBOX2MOVEABLE_H__53DA4D30_8014_4273_BD66_2139C76A8B56__INCLUDED_)
#define AFX_TOOLBOX2MOVEABLE_H__53DA4D30_8014_4273_BD66_2139C76A8B56__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Toolbox2Moveable.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CToolbox2Moveable form view

#ifndef __AFXEXT_H__
#include <afxext.h>
#endif


class CToolbox2Moveable :
	public CToolboxBase,
	public ITlboxMoveableItfMain,
	public ITlboxMoveableItfAnim,
	public ITlboxMoveableItfStateChanges,
	public ITlboxMoveableItfAnimCommands
{
protected:

	CToolbox2Moveable();           // protected constructor used by dynamic creation

	DECLARE_DYNCREATE(CToolbox2Moveable)

// Form Data
public:

	enum { ToolboxType = eEditPane_Moveable };

	//{{AFX_DATA(CToolbox2Moveable)
	enum { IDD = IDD_TOOLBOX2_MOVEABLE };
	//}}AFX_DATA

// Attributes
public:

// Operations
public:

	// CToolboxBase
	virtual void	vOnInitToolbox();
	virtual void	vCheckKeys();

	// ITlboxMeshItfMain
    virtual void    vRefreshExtents( bool boUpdateData = true );

	// ITlboxMeshItfAnim
    virtual void    vSetCurAnim( DWORD dwCurAnim );
    virtual void    vSetCurFrame( DWORD dwCurFrame, DWORD dwNumFrames );
    virtual void    vSetCurKey( DWORD dwCurKey, DWORD dwNumKeys );
    virtual void    vSetAnimationFrameRate( DWORD dwAnimFrameRate );
    virtual void    vSetAnimationNextAnim( DWORD dwNextAnim, DWORD dwNextFrame );
    virtual void    vSetInterp( float fInterp );
    virtual bool    boIsAnimModeAutomatic();
    virtual DWORD   dwGetCurTrack();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CToolbox2Moveable)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CToolbox2Moveable();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
	//{{AFX_MSG(CToolbox2Moveable)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:

	CToolboxItfBase*		m_lpMainPage;
	CToolboxItfBase*		m_lpAnimPage;
	CToolboxItfBase*		m_lpStateChangesPage;
	CToolboxItfBase*		m_lpAnimCommandsPage;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TOOLBOX2MOVEABLE_H__53DA4D30_8014_4273_BD66_2139C76A8B56__INCLUDED_)
