// Toolbox2Sprite.cpp : implementation file
//

#include "stdafx.h"

#include "trviewer.h"
#include "ChildFrm.h"
#include "HandleBase.h"
#include "HandleSprite.h"
#include "EditBase.h"
#include "EditSprite.h"

#include "ToolboxBase.h"
#include "ToolboxItfBase.h"
#include "ToolboxSheet.h"
#include "TlboxSpriteItf.h"
#include "Toolbox2Sprite.h"

#include "TlboxSpriteMain.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CToolbox2Sprite

IMPLEMENT_DYNCREATE(CToolbox2Sprite, CToolboxBase)

CToolbox2Sprite::CToolbox2Sprite()
	: CToolboxBase(CToolbox2Sprite::IDD), m_lpMainPage( NULL )
{
	//{{AFX_DATA_INIT(CToolbox2Sprite)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

CToolbox2Sprite::~CToolbox2Sprite()
{
}

void CToolbox2Sprite::DoDataExchange(CDataExchange* pDX)
{
	CToolboxBase::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CToolbox2Sprite)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CToolbox2Sprite, CToolboxBase)
	//{{AFX_MSG_MAP(CToolbox2Sprite)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CToolbox2Sprite diagnostics

#ifdef _DEBUG
void CToolbox2Sprite::AssertValid() const
{
	CToolboxBase::AssertValid();
}

void CToolbox2Sprite::Dump(CDumpContext& dc) const
{
	CToolboxBase::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CToolbox2Sprite message handlers

void	CToolbox2Sprite::vOnInitToolbox()
{
	m_lpMainPage = new CTlboxSpriteMain( this );

	CPropertyPage*	lpLstPages[] =
		{
		m_lpMainPage
		};

	m_lpSheet->vAddPages( sizeof( lpLstPages ) / sizeof( CPropertyPage* ), lpLstPages );
}


//
//
// ITlboxSpriteItfMain
//
//

void	CToolbox2Sprite::vSetAnimationType( bool boIsAnimated )
{
	static_cast< CTlboxSpriteMain* >( m_lpMainPage )->vSetAnimationType( boIsAnimated );
}

