#pragma once


#define GET_TOOLBOX(clToolbox) dynamic_cast< clToolbox* >( GET_CHILDFRM()->lpGetToolbox( (enumEditPaneType) clToolbox::ToolboxType ) )
#define GET_TLBOXHANDLER(clType) clType*	lpHandler = m_lpParent->lpGetHandler() ? dynamic_cast< clType* >( m_lpParent->lpGetHandler() ) : NULL
#define GET_TLBOXEDIT(clType) clType* lpEdit = m_lpParent->lpGetEditer() ? dynamic_cast< clType* >( m_lpParent->lpGetEditer() ) : NULL


class CHandleBase;
class CEditBase;
class CToolboxSheet;
class CToolboxItfBase;


class CToolboxBase : public CFormView
{
public:

	CToolboxBase();
	CToolboxBase( int iId ) : CFormView( iId ), m_lpDataHandler( NULL ), m_lpDataEdit( NULL ), m_lpSheet( NULL ) { }
	virtual ~CToolboxBase();

	DECLARE_DYNCREATE(CToolboxBase)

    void			vSetHandlers(CHandleBase* lpHandler,CEditBase* lpEdit);

	CHandleBase*	lpGetHandler()	const	{ return m_lpDataHandler; }
	CEditBase*		lpGetEditer()	const	{ return m_lpDataEdit; }

	virtual void	vCheckKeys()		{ }

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CToolboxBase)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

	// Generated message map functions
	//{{AFX_MSG(CToolboxBase)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

protected:

	virtual void	vOnInitToolbox()	{ }

	CToolboxSheet*		m_lpSheet;

private:

	friend class CToolboxItfBase;

	void	vOnActivatePage( CToolboxItfBase* lpPage );

    CHandleBase*		m_lpDataHandler;
    CEditBase*			m_lpDataEdit;
};
