#pragma once


class CTrLstSpr;


class CHandleSprite : public CHandleBase
{
public:

    CHandleSprite(CFileTree* lpTree,CChildFrame* lpChildFrm,void* lpData,bool boIsAnimated,float fZoom) : CHandleBase(lpTree,lpChildFrm,eEditPane_Sprite,lpData), m_boIsAnimated( boIsAnimated ), m_fZoom( fZoom ) { }
    DWORD                   dwGetDataType() { return 11; }
    CTrLstSpr*              GetSpr() { return (CTrLstSpr*) lpGetData(); }
    virtual void            vSetChanged(bool boReloadTextures = false);

    virtual CMenu*          lpGetPopupupMenu(HTREEITEM hSelectedItem);
    virtual void            vReleasePopupupMenu();
    virtual void            vHandleMenu(WORD wMenuId);

	bool					boIsAnimated() const	{ return m_boIsAnimated; }
	float					fGetZoomFactor() const	{ return m_fZoom; }

protected:

    virtual void            vEditSetInfo(TCHAR* lpszNodeName);

    void                    vExportAsSPR();
    void                    vImportFromSPR(CTrLstSpr* lpSpr_ = NULL);
    void                    vExportTextureToTGA();
    void                    vImportTextureFromTGA();
    void                    vDelete();

private:

    CMenu*      m_lpMenu;
	bool		m_boIsAnimated;
	float		m_fZoom;

    friend class CHandleRootTR123;
};