#if !defined(AFX_TLBOXMOVEABLEMAIN_H__1F0DDD1A_2EA4_49D5_A9B7_533D48301DBA__INCLUDED_)
#define AFX_TLBOXMOVEABLEMAIN_H__1F0DDD1A_2EA4_49D5_A9B7_533D48301DBA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TlboxMoveableMain.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTlboxMoveableMain dialog


class CTlboxMoveableMain : public CToolboxItfBase, public ITlboxMoveableItfMain
{
	DECLARE_DYNCREATE(CTlboxMoveableMain)

// Construction
public:
	CTlboxMoveableMain() { }
	CTlboxMoveableMain( CToolboxBase* lpParent );
	~CTlboxMoveableMain();

// Dialog Data
	//{{AFX_DATA(CTlboxMoveableMain)
	enum { IDD = IDD_TOOLBOX2_MOVEABLE_MAINPANE };
	CString	m_cstrObjId;
	CString	m_cstrMvblExtents;
	BOOL	m_boShowRealMeshes;
	BOOL	m_boShowAssocMvb;
	BOOL	m_boShowMoveableBB;
	//}}AFX_DATA

public:

	// CToolboxItfBase
	virtual void	vInit( bool boNewMoveable );

	// ITlboxMoveableItfMain
    virtual void    vRefreshExtents( bool boUpdateData = true );

// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CTlboxMoveableMain)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CTlboxMoveableMain)
	afx_msg void OnKillfocusObjId();
	afx_msg void OnShowRealMeshes();
	afx_msg void OnShowAssocMvb();
	afx_msg void OnShowMoveableBB();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TLBOXMOVEABLEMAIN_H__1F0DDD1A_2EA4_49D5_A9B7_533D48301DBA__INCLUDED_)
