#if !defined(AFX_TOOLBOXSHEET_H__52465DCB_F1EB_4DD8_9302_E474EE46A2CC__INCLUDED_)
#define AFX_TOOLBOXSHEET_H__52465DCB_F1EB_4DD8_9302_E474EE46A2CC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CToolboxSheet.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CToolboxSheet


#define WM_RESIZEPAGE		(WM_USER + 235)


class CToolboxSheet : public CPropertySheet
{
	DECLARE_DYNAMIC(CToolboxSheet)

// Construction
public:
	CToolboxSheet(CWnd* pParentWnd = NULL);

// Operations
public:

	void vAddPages( DWORD dwNumPages, CPropertyPage** lplpLstPages );

	CPropertyPage* lpGetVisiblePage() const { return m_lpVisiblePage; }

	// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CToolboxSheet)
	public:
	virtual BOOL OnInitDialog();
	protected:
	virtual BOOL OnNotify(WPARAM wParam, LPARAM lParam, LRESULT* pResult);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CToolboxSheet();

	// Generated message map functions
protected:
	//{{AFX_MSG(CToolboxSheet)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	afx_msg LRESULT OnResizePage(WPARAM wParam, LPARAM lParam);

private:

	friend class CToolboxBase;

	void	Resize();
	void	vInitPages( bool boNewObject );
	void	vInitActivatedPage( CToolboxItfBase* lpPage );

	typedef std::vector< CPropertyPage* >	LstPropPage;
	typedef LstPropPage::iterator			LstPropPageIter;

	CRect				m_rectPage;
	LstPropPage			m_LstPages;
	CPropertyPage*		m_lpVisiblePage;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TOOLBOXSHEET_H__52465DCB_F1EB_4DD8_9302_E474EE46A2CC__INCLUDED_)
